[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetParent

Changes the parent of a window.

## Declaration

Source position: winapih.inc line 250

`public function TWidgetSet.SetParent(`
`hWndChild: HWND;`
`hWndParent: HWND`
`):HWND; virtual;`

## Arguments

`hWndChild` |  | The handle of the child window.
`hWndParent` |  | The handle of the new parent window, zero for the desktop window.

## Function result

The handle of the previous parent window, zero if none or failure.